//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 16 textures and 122 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 08/29/1995    (29.08.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "stones.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "myinc8.inc"

camera {  //  Camera StdCam
  location  <1.314, -33.320, 15.900>
  direction <0.0,     0.0,  1.1547>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <1.390, 0.031, 12.745>
}

// *******  L I G H T S *******
light_source {   // Light1
  <10.820, -8.803, 26.997>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "ROBO5.INC"

// ********  O B J E C T S *******
#declare tire = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir = union {
  object { tire }
  object { hub }
}

#declare bot = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 6.000000, 1.000000>
  translate <2.795026, 4.654207, 2.000000>
}

#declare tire1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir1 = union {
  object { tire1 }
  object { hub1 }
  translate <0.000000, 9.300000, 0.000000>
}

#declare tire2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub2 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir2 = union {
  object { tire2 }
  object { hub2 }
  rotate <0.000000, -180.000000, 0.000000>
  translate <5.603478, 9.300000, 2.000000>
}

#declare tire3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub3 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir3 = union {
  object { tire3 }
  object { hub3 }
  rotate <0.000000, -180.000000, 0.000000>
  translate <5.603478, 0.000000, 2.000000>
}

#declare botend = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 0.700000, 0.700000>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <2.786402, -1.400000, 2.000000>
}

#declare botend1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 0.700000, 0.700000>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <2.786402, 10.625525, 2.000000>
}

#declare leg = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 6.000000>
  translate <0.650174, 4.957578, 3.000000>
}

#declare leg1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 6.000000>
  translate <4.954866, 4.957578, 3.000000>
}

#declare mid = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 4.000000, 1.000000>
  translate <2.816650, 4.996428, 10.000000>
}

#declare Torus001 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 3.000000>
}

#declare Torus2 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 4.200000>
}

#declare Torus3 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 5.400000>
}

#declare Torus4 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 6.600000>
}

#declare Torus5 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 7.800000>
}

#declare Torus6 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 9.000000>
}

#declare Torus7 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 3.000000>
}

#declare Torus8 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 4.200000>
}

#declare Torus9 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 5.400000>
}

#declare Torus10 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 6.600000>
}

#declare Torus11 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 7.800000>
}

#declare Torus12 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 9.000000>
}

#declare bod = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 3.000000, 8.000000>
  translate <2.813274, 5.038849, 11.000000>
}

#declare bodtop = object { 
  sphere {<0,0,0>,1}
  texture {
    Legtex
  }
  scale <4.000000, 3.000000, 1.000000>
  translate <2.813000, 5.039000, 19.000000>
}

#declare armcnct = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <1.000000, 1.000000, 10.000000>
  rotate <0.000000, 270.000000, 0.000000>
  translate <7.795957, 5.038849, 17.000000>
}

#declare joint = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  translate <-2.031794, 5.038849, 17.000000>
}

#declare joint1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  translate <7.900000, 5.038849, 17.000000>
}

#declare shoul = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  rotate <45.000000, 0.000000, 0.000000>
  translate <9.671340, 5.038849, 17.000000>
}

#declare shoul1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  rotate <-60.000000, 0.000000, 0.000000>
  translate <-3.766356, 5.038849, 17.000000>
}

#declare toparm = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <1.000000, 1.000000, 5.000000>
  rotate <-60.000000, 0.000000, 0.000000>
  translate <-3.738501, -0.127392, 14.034559>
}

#declare toparm1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <1.000000, 1.000000, 5.000000>
  rotate <45.000000, 0.000000, 0.000000>
  translate <9.664727, 9.281382, 12.760461>
}

#declare join = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  translate <-3.738501, -0.081272, 14.100000>
}

#declare join1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  translate <9.671340, 9.205501, 12.810995>
}

#declare slev = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <9.671340, 9.183709, 11.500000>
}

#declare slev1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-3.738501, -1.452000, 14.078010>
}

#declare forarm = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <1.000000, 1.000000, 3.000000>
  rotate <-270.000000, 0.000000, 0.000000>
  translate <-3.738501, -1.468340, 14.075824>
}

#declare forarm1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <1.000000, 1.000000, 3.000000>
  translate <9.671340, 9.178261, 8.523390>
}

#declare slev2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <9.671340, 9.183709, 8.000000>
}

#declare slev3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-3.738501, -4.453000, 14.078010>
}

#declare han = object { 
  sphere {<0,0,0>,1}
  texture {
    Legtex
  }
  scale <0.300000, 1.500000, 0.600000>
  translate <-3.738501, -5.445208, 14.075824>
}

#declare thumb = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <0.100000, 0.100000, 1.000000>
  rotate <26.170532, 0.000000, 0.000000>
  translate <-3.738501, -5.114673, 14.454943>
}

#declare han2 = object { 
  sphere {<0,0,0>,1}
  texture {
    Hantex1
    finish {
      ambient   2.00
      brilliance   4.00
      refraction  1.000
    }
  }
  scale <0.700000, 0.700000, 0.700000>
  rotate <0.000000, 0.000000, 210.161957>
  translate <9.685972, 9.183709, 7.307275>
}

#declare gun = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Guntex
    finish {
      ambient   1.00
      brilliance   3.00
      refraction  1.000
    }
  }
  scale <0.300000, 0.300000, 3.000000>
  translate <9.671340, 9.183709, 3.793051>
}

#declare sat1 = torus { 
  0.550, 0.050  // Major, minor radius
  rotate -x*90
  texture {
    Sat1tex
    finish {
      ambient   1.00
      brilliance   3.00
    }
  }
  translate <9.671000, 9.184000, 6.000000>
}

#declare sat2 = torus { 
  0.550, 0.050  // Major, minor radius
  rotate -x*90
  texture {
    Sat1tex
    finish {
      ambient   1.00
      brilliance   3.00
    }
  }
  translate <9.671000, 9.184000, 5.000000>
}

#declare nek1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nektex1
  }
  scale <0.500000, 0.500000, 0.300000>
  translate <2.844512, 5.038849, 20.000000>
}

#declare nek2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <0.300000, 0.300000, 1.000000>
  translate <2.845000, 5.039000, 20.300000>
}

#declare nek3 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nektex1
  }
  scale <0.500000, 0.500000, 0.300000>
  translate <2.844512, 5.038849, 21.300000>
}

#declare nek4 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <0.300000, 0.300000, 1.000000>
  translate <2.845000, 5.039000, 21.600000>
}

#declare nek5 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nektex1
  }
  scale <0.500000, 0.500000, 0.300000>
  translate <2.844512, 5.038849, 22.600000>
}

#declare head = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <2.845000, 4.000000, 1.000000>
  translate <2.845000, 5.039000, 23.800000>
}

#declare face = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Texture01
    scale <2.000000, 2.000000, 1.000000>
    translate <-1.000000, -1.000000, 0.000000>
  }
  scale <2.000000, 2.000000, 0.100000>
  rotate <90.000000, 0.000000, -180.000000>
  translate <2.844512, 1.056533, 23.900000>
}

union {
  object { tir }
  object { bot }
  object { tir1 }
  object { tir2 }
  object { tir3 }
  object { botend }
  object { botend1 }
  object { leg }
  object { leg1 }
  object { mid }
  object { Torus001 }
  object { Torus2 }
  object { Torus3 }
  object { Torus4 }
  object { Torus5 }
  object { Torus6 }
  object { Torus7 }
  object { Torus8 }
  object { Torus9 }
  object { Torus10 }
  object { Torus11 }
  object { Torus12 }
  object { bod }
  object { bodtop }
  object { armcnct }
  object { joint }
  object { joint1 }
  object { shoul }
  object { shoul1 }
  object { toparm }
  object { toparm1 }
  object { join }
  object { join1 }
  object { slev }
  object { slev1 }
  object { forarm }
  object { forarm1 }
  object { slev2 }
  object { slev3 }
  object { han }
  object { thumb }
  object { han2 }
  object { gun }
  object { sat1 }
  object { sat2 }
  object { nek1 }
  object { nek2 }
  object { nek3 }
  object { nek4 }
  object { nek5 }
  object { head }
  object { face }
}

#declare tire4 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub4 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir4 = union {
  object { tire4 }
  object { hub4 }
}

#declare bot1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 6.000000, 1.000000>
  translate <2.795026, 4.654207, 2.000000>
}

#declare tire5 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub5 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir5 = union {
  object { tire5 }
  object { hub5 }
  translate <0.000000, 9.300000, 0.000000>
}

#declare tire6 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub6 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir6 = union {
  object { tire6 }
  object { hub6 }
  rotate <0.000000, -180.000000, 0.000000>
  translate <5.603478, 9.300000, 2.000000>
}

#declare tire7 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Tirtex
  }
  rotate <0.000000, 270.000000, 0.000000>
  translate <0.000000, 0.000000, 1.000000>
}

#declare hub7 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <0.200000, 0.400000, 0.400000>
  translate <-1.000000, 0.000000, 1.000000>
}

#declare tir7 = union {
  object { tire7 }
  object { hub7 }
  rotate <0.000000, -180.000000, 0.000000>
  translate <5.603478, 0.000000, 2.000000>
}

#declare botend2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 0.700000, 0.700000>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <2.786402, -1.400000, 2.000000>
}

#declare botend3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 0.700000, 0.700000>
  rotate <-45.000000, 0.000000, 0.000000>
  translate <2.786402, 10.625525, 2.000000>
}

#declare leg2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Chrome_Texture
    finish {
      ambient   1.00
      brilliance   0.80
    }
  }
  scale <1.000000, 1.000000, 6.000000>
  translate <0.650174, 4.957578, 3.000000>
}

#declare leg3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 6.000000>
  translate <4.954866, 4.957578, 3.000000>
}

#declare mid1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 4.000000, 1.000000>
  translate <2.816650, 4.996428, 10.000000>
}

#declare Torus13 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 3.000000>
}

#declare Torus14 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 4.200000>
}

#declare Torus15 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 5.400000>
}

#declare Torus16 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 6.600000>
}

#declare Torus17 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 7.800000>
}

#declare Torus18 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <0.650000, 4.958000, 9.000000>
}

#declare Torus19 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 3.000000>
}

#declare Torus20 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 4.200000>
}

#declare Torus21 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 5.400000>
}

#declare Torus22 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 6.600000>
}

#declare Torus23 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 7.800000>
}

#declare Torus24 = torus { 
  1.150, 0.150  // Major, minor radius
  rotate -x*90
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <4.955000, 4.958000, 9.000000>
}

#declare bod1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <4.000000, 3.000000, 8.000000>
  translate <2.813274, 5.038849, 11.000000>
}

#declare bodtop1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Legtex
  }
  scale <4.000000, 3.000000, 1.000000>
  translate <2.813000, 5.039000, 19.000000>
}

#declare armcnct1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <1.000000, 1.000000, 10.000000>
  rotate <0.000000, 270.000000, 0.000000>
  translate <7.795957, 5.038849, 17.000000>
}

#declare joint2 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  translate <-2.031794, 5.038849, 17.000000>
}

#declare joint3 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  translate <7.900000, 5.038849, 17.000000>
}

#declare shoul2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  rotate <45.000000, 0.000000, 0.000000>
  translate <9.671340, 5.038849, 17.000000>
}

#declare shoul3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  rotate <-60.000000, 0.000000, 0.000000>
  translate <-3.766356, 5.038849, 17.000000>
}

#declare toparm2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <1.000000, 1.000000, 5.000000>
  rotate <-60.000000, 0.000000, 0.000000>
  translate <-3.738501, -0.127392, 14.034559>
}

#declare toparm3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <1.000000, 1.000000, 5.000000>
  rotate <45.000000, 0.000000, 0.000000>
  translate <9.664727, 9.281382, 12.760461>
}

#declare join2 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  translate <-3.738501, -0.081272, 14.100000>
}

#declare join3 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  translate <9.671340, 9.205501, 12.810995>
}

#declare slev4 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <9.671340, 9.183709, 11.500000>
}

#declare slev5 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-3.738501, -1.452000, 14.078010>
}

#declare forarm2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <1.000000, 1.000000, 3.000000>
  rotate <-270.000000, 0.000000, 0.000000>
  translate <-3.738501, -1.468340, 14.075824>
}

#declare forarm3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <1.000000, 1.000000, 3.000000>
  translate <9.671340, 9.178261, 8.523390>
}

#declare slev6 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  translate <9.671340, 9.183709, 8.000000>
}

#declare slev7 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <1.000000, 1.000000, 0.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-3.738501, -4.453000, 14.078010>
}

#declare han1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Legtex
  }
  scale <0.300000, 1.500000, 0.600000>
  translate <-3.738501, -5.445208, 14.075824>
}

#declare thumb1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Legtex
  }
  scale <0.100000, 0.100000, 1.000000>
  rotate <26.170532, 0.000000, 0.000000>
  translate <-3.738501, -5.114673, 14.454943>
}

#declare han3 = object { 
  sphere {<0,0,0>,1}
  texture {
    Hantex1
    finish {
      ambient   2.00
      brilliance   4.00
      refraction  1.000
    }
  }
  scale <0.700000, 0.700000, 0.700000>
  rotate <0.000000, 0.000000, 210.161957>
  translate <9.685972, 9.183709, 7.307275>
}

#declare gun1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Guntex
    finish {
      ambient   1.00
      brilliance   3.00
      refraction  1.000
    }
  }
  scale <0.300000, 0.300000, 3.000000>
  translate <9.671340, 9.183709, 3.793051>
}

#declare sat3 = torus { 
  0.550, 0.050  // Major, minor radius
  rotate -x*90
  texture {
    Sat1tex
    finish {
      ambient   1.00
      brilliance   3.00
    }
  }
  translate <9.671000, 9.184000, 6.000000>
}

#declare sat4 = torus { 
  0.550, 0.050  // Major, minor radius
  rotate -x*90
  texture {
    Sat1tex
    finish {
      ambient   1.00
      brilliance   3.00
    }
  }
  translate <9.671000, 9.184000, 5.000000>
}

#declare nek6 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nektex1
  }
  scale <0.500000, 0.500000, 0.300000>
  translate <2.844512, 5.038849, 20.000000>
}

#declare nek7 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <0.300000, 0.300000, 1.000000>
  translate <2.845000, 5.039000, 20.300000>
}

#declare nek8 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nektex1
  }
  scale <0.500000, 0.500000, 0.300000>
  translate <2.844512, 5.038849, 21.300000>
}

#declare nek9 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Polished_Chrome
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  scale <0.300000, 0.300000, 1.000000>
  translate <2.845000, 5.039000, 21.600000>
}

#declare nek10 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nektex1
  }
  scale <0.500000, 0.500000, 0.300000>
  translate <2.844512, 5.038849, 22.600000>
}

#declare head1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Polished_Brass
    finish {
      ambient   1.00
    }
  }
  scale <2.845000, 4.000000, 1.000000>
  translate <2.845000, 5.039000, 23.800000>
}

#declare face1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Texture01
    scale <2.000000, 2.000000, 1.000000>
    translate <-1.000000, -1.000000, 0.000000>
  }
  scale <2.000000, 2.000000, 0.100000>
  rotate <90.000000, 0.000000, -180.000000>
  translate <2.844512, 1.056533, 23.900000>
}

union {
  object { tir4 }
  object { bot1 }
  object { tir5 }
  object { tir6 }
  object { tir7 }
  object { botend2 }
  object { botend3 }
  object { leg2 }
  object { leg3 }
  object { mid1 }
  object { Torus13 }
  object { Torus14 }
  object { Torus15 }
  object { Torus16 }
  object { Torus17 }
  object { Torus18 }
  object { Torus19 }
  object { Torus20 }
  object { Torus21 }
  object { Torus22 }
  object { Torus23 }
  object { Torus24 }
  object { bod1 }
  object { bodtop1 }
  object { armcnct1 }
  object { joint2 }
  object { joint3 }
  object { shoul2 }
  object { shoul3 }
  object { toparm2 }
  object { toparm3 }
  object { join2 }
  object { join3 }
  object { slev4 }
  object { slev5 }
  object { forarm2 }
  object { forarm3 }
  object { slev6 }
  object { slev7 }
  object { han1 }
  object { thumb1 }
  object { han3 }
  object { gun1 }
  object { sat3 }
  object { sat4 }
  object { nek6 }
  object { nek7 }
  object { nek8 }
  object { nek9 }
  object { nek10 }
  object { head1 }
  object { face1 }
  rotate <0.000000, 0.000000, -60.000000>
  translate <-15.000000, 20.000000, 0.000000>
}

object {   // ship
  sphere {<0,0,0>,1}
  texture {
    Texture02
  }
  scale <10.000000, 4.000000, 2.000000>
  translate <30.000000, 45.000000, 28.000000>
}

object {   // botm
  sphere {<0,0,0>,1}
  texture {
    Jade
    finish {
      ambient   1.00
      brilliance   1.00
    }
  }
  translate <30.000000, 45.000000, 26.000000>
}

object {   // lt
  sphere {<0,0,0>,1}
  texture {
    Red_Glass
    finish {
      ambient   1.00
      brilliance   1.00
      ior  1.000
    }
  }
  scale <0.300000, 0.300000, 0.300000>
  translate <30.000000, 41.000000, 28.000000>
}

object {   // lt1
  sphere {<0,0,0>,1}
  texture {
    Red_Glass
    finish {
      ambient   1.00
      brilliance   1.00
      ior  1.000
    }
  }
  scale <0.300000, 0.300000, 0.300000>
  translate <21.447989, 43.043401, 28.000000>
}

object {   // lt2
  sphere {<0,0,0>,1}
  texture {
    Blue_Glass
    finish {
      ambient   1.00
      brilliance   1.00
      ior  1.000
    }
  }
  scale <0.300000, 0.300000, 0.300000>
  translate <38.552011, 43.043401, 28.000000>
}

object {   // lt3
  sphere {<0,0,0>,1}
  texture {
    Blue_Glass
    finish {
      ambient   1.00
      brilliance   1.00
      ior  1.000
    }
  }
  scale <0.300000, 0.300000, 0.300000>
  translate <25.080702, 41.529771, 28.000000>
}

object {   // lt4
  sphere {<0,0,0>,1}
  texture {
    Red_Glass
    finish {
      ambient   1.00
      brilliance   1.00
      ior  1.000
    }
  }
  scale <0.300000, 0.300000, 0.300000>
  translate <34.919298, 41.529771, 28.000000>
}

object {   // HgtFld001
  height_field {
    gif "FRACT003.GIF" 
    water_level 0.000000
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    pigment {
     Grnt17
    }
    finish {
      ambient   0.70
      diffuse   0.30
      brilliance   0.70
    }
  scale <70.000000, 8.000000, 10.000000>
  translate <0.000000, 68.581693, 9.925653>
}

object {   // planet
  sphere {<0,0,0>,1}
  texture {
    Texture03
  }
  scale <20.000000, 20.000000, 20.000000>
  translate <-35.000000, 105.000000, 20.000000>
}

object {   // plan2
  sphere {<0,0,0>,1}
  texture {
    Texture04
  }
  scale <6.000000, 6.000000, 6.000000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <-10.000000, 125.000000, 35.000000>
}

